## screen 4.5.0

=== debian/changelog ===
screen (4.5.0-6) unstable; urgency=low

  * Cherry-pick c14e05e7 to fix -L parsing regression. (Closes: #863095)
    + Modify patch to revert anticipatorily incremented/decremented
      counters if next argument starts with a dash.
    + Refresh line-numbers in 80_session_creation_docs.patch.

 -- Axel Beckert <abe@debian.org>  Tue, 23 May 2017 01:57:09 +0200

screen (4.5.0-5) unstable; urgency=low

  * Replace all occurrences of /var/run/ in packaging with /run/. (Closes:
    #856824)

 -- Axel Beckert <abe@debian.org>  Tue, 04 Apr 2017 01:14:01 +0200

screen (4.5.0-4) unstable; urgency=low

  * Add CVE-ID to previous changelog entry and
    62-reverse-cherry-pick-5460f5d2-to-fix-privilege-escalation.patch.
  * Apply patch by Samuel Thibault to fix terminal garbage in Debian
    Installer over serial line. (Closes: #857808)

 -- Axel Beckert <abe@debian.org>  Wed, 22 Mar 2017 01:13:07 +0100

screen (4.5.0-3) unstable; urgency=medium

  * Add patch to revert upstream commit 5460f5d2 ("adding permissions
    check for the logfile name") which caused a privilege escalation.
    (CVE-2017-5618, Closes: #852484)

 -- Axel Beckert <abe@debian.org>  Tue, 24 Jan 2017 22:57:44 +0100

screen (4.5.0-2) unstable; urgency=medium

  * Update 61-default-PATH_MAX-if-undefined-for-hurd.patch by defining
    PATH_MAX in a second place if undefined. Fixes FTBFS on Hurd.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Jan 2017 16:54:41 +0100

screen (4.5.0-1) unstable; urgency=medium

  * New upstream release.
    + Drop all cherry-picked patches.
    + Refresh 11replace_doc_paths.patch,
      58-show-encoding-hardstatus.patch, and
      80_session_creation_docs.patch
    + Remove hunks from 20fix_typos.patch which were fixed upstream.
    + Drop 62-fix-RC_DIGRAPH-handling.patch, applied upstream.

 -- Axel Beckert <abe@debian.org>  Wed, 18 Jan 2017 02:43:52 +0100

screen (4.4.0-6) unstable; urgency=medium

  * Fix double installation of debian/screen.tmpfile. (Closes: #842440)
  * debian/rules:
    + Factor out common dh_auto_configure parameters for .deb and .udeb.
    + Remove redundant quotes.
    + dh_auto_configure: Use shorter -B instead of --builddirectory.

 -- Axel Beckert <abe@debian.org>  Sun, 30 Oct 2016 05:44:17 +0100

screen (4.4.0-5) unstable; urgency=medium

  * Minimize screenrc for udeb from 1.9kB to 1.1kB without loss of
    functionality by removing unneeded comments and ASCII-style
    underlining.
  * Bump debhelper compatibility to 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop "--parallel --with autoreconf" from debian/rules.
    + Drop explicit build-dependency on dh-autoreconf.
  * Cherry-pick f3a12f01 from upstream screen-v4 branch to fix crash with
    long $TERM variable.
  * Fix typo "defualt" also in doc/screen.texinfo. (Already has been fixed
    in man page. Nevertheless closes: #741141)
  * Update some links in debian/upstream/metadata to reflect the fact that
    we follow GNU Screen's stable branch (called screen-v4).
  * Add Antti Järvinen as co-maintainer. Thanks for the offer to help!
    (Closes: #654116)

 -- Axel Beckert <abe@debian.org>  Tue, 25 Oct 2016 01:38:19 +0200
