=== debian/control ===
Source: screen
Section: misc
Priority: standard
Maintainer: Axel Beckert <abe@debian.org>
Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 10~),
               dpkg-dev (>= 1.16.1~),
               libncursesw5-dev (>= 6.0+20160319-2~),
               libpam0g-dev,
               texinfo
Build-Conflicts:
# FTBFS otherwise (#684386, #819792)
                 libelf-dev,
# Enforce building without libutempter (#819781). Adding another
# build-dependency would hinder udeb support as well as add a
# "Priority: optional" build-dependency to a "Priority: standard"
# package, which is unwanted.  (#819781)
                 libutempter-dev
Homepage: https://savannah.gnu.org/projects/screen
Vcs-Git: https://anonscm.debian.org/git/collab-maint/screen.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/screen.git
Testsuite: autopkgtest

Package: screen
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: byobu | screenie | iselect (>= 1.4.0-1),
          ncurses-term
Description: terminal multiplexer with VT100/ANSI terminal emulation
 GNU Screen is a terminal multiplexer that runs several separate "screens" on
 a single physical character-based terminal. Each virtual terminal emulates a
 DEC VT100 plus several ANSI X3.64 and ISO 2022 functions. Screen sessions
 can be detached and resumed later on a different terminal.
 .
 Screen also supports a whole slew of other features, including configurable
 input and output translation, serial port support, configurable logging,
 and multi-user support.

Package: screen-udeb
Architecture: any
Section: debian-installer
Package-Type: udeb
Priority: extra
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: terminal multiplexer with VT100/ANSI terminal emulation - udeb
 GNU Screen is a terminal multiplexer that runs several separate "screens" on
 a single physical character-based terminal. Each virtual terminal emulates a
 DEC VT100 plus several ANSI X3.64 and ISO 2022 functions. Screen sessions
 can be detached and resumed later on a different terminal.
 .
 Screen also supports a whole slew of other features, including configurable
 input and output translation, serial port support, configurable logging,
 and multi-user support.
 .
 This is stripped-down version of screen for debian-installer.
