## screen 4.6.1

=== debian/changelog ===
screen (4.6.1-1) unstable; urgency=low

  * Import upstream version 4.6.1
    + Refresh 58-show-encoding-hardstatus.patch.
    + Upstream bugfix release: upload to unstable again.
  * Mention Ubuntu bug reports fixed by 4.6.0 in previous changelog entry.
  * Merge 4.5.0-4 changes into 4.5.1-4 changelog entry instead of having
    them as their own an out-of-order changelog entry. Unconfuses the BTS
    (c.f. #355942) and probably also some users. Thanks to Guillem Jover
    for the discussion and idea.

 -- Axel Beckert <abe@debian.org>  Mon, 10 Jul 2017 23:54:35 +0200

screen (4.6.0-1) experimental; urgency=low

  * New upstream release.
    + Supports many more baud rates, including 1500000. (Closes: #860910)
    + Updates Unicode wide tables to 9.0. (Closes: #846396)
    + Makes "get ttyname" work inside containers. (LP: #1669578)
    + Drop 62-fix-texinfo-syntax-error.patch, fixed differently.
    + Drop 64-fix-garbage-on-serial-terminal.patch, applied upstream.
    + Refresh patches where necessary.
  * Retroactively mention #355942 in 4.5.1-1's changelog entry.
  * Add patch to fix spelling errors found by lintian.

 -- Axel Beckert <abe@debian.org>  Thu, 29 Jun 2017 00:10:57 +0200

screen (4.5.1-4) unstable; urgency=low

  * Upload to unstable again.
  * Merge 4.5.0-4 upload into master branch.
    + Refresh 63-fix-garbage-on-serial-terminal.patch and renumber/rename
      it to 64-fix-garbage-on-serial-terminal.patch
  * Declare compliance with Debian Policy 4.0.0. (No changes needed.)

  [ Changes merged from the stretch-targeted 4.5.0-4 upload to unstable ]
  * Add CVE-ID to 4.5.0-3 changelog entry and to
    62-reverse-cherry-pick-5460f5d2-to-fix-privilege-escalation.patch.
  * Apply patch by Samuel Thibault to fix terminal garbage in Debian
    Installer over serial line. (Closes: #857808)

 -- Axel Beckert <abe@debian.org>  Mon, 19 Jun 2017 00:48:02 +0200

screen (4.5.1-3) experimental; urgency=low

  * Also change permissions (wrt. to utempter usage) in
    /usr/lib/tmpfiles.d/screen-cleanup.conf. Fixes "Directory
    '/run/screen' must have mode 777." error when running under systemd.

 -- Axel Beckert <abe@debian.org>  Wed, 08 Mar 2017 23:20:15 +0100

screen (4.5.1-2) experimental; urgency=low

  * Replace all occurrences of /var/run/ in packaging with /run/. (Closes:
    #856824)
  * Update README.Debian with regards to libutempter usage.
    + Add lintian override for "spelling-error-in-readme-debian root root
      (duplicate word) root". (It's user "root" and group "root".)
  * Reflow README.Debian to lines with less than 80 characters per line.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Mar 2017 19:00:00 +0100

screen (4.5.1-1) experimental; urgency=low

  * debian/upstream/signing-key.asc: Import updated upstream keyring from
    https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=screen
  * Import new upstream release.
    + Remove patch for CVE-2017-5618. Solved upstream, but differently.
    + Remove 20fix_typos.patch, applied upstream.
    + Refresh patches 11replace_doc_paths.patch, 45suppress_remap.patch,
      58-show-encoding-hardstatus.patch, 80_session_creation_docs.patch
    + Add new patch to fix syntax error in doc/screen.texinfo.
  * Change Build-Conflicts against libutempter-dev to Build-Depends and
    patch configure.ac to sport a --enable-utempter switch.
  * Enable libutempter in normal build, stay with setgid utmp for udeb.
    (Closes: #819781, #355942)

 -- Axel Beckert <abe@debian.org>  Sun, 05 Mar 2017 02:59:04 +0100
