=== debian/control ===
--- 
+++ 
@@ -3,20 +3,15 @@
 Priority: standard
 Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10~),
                dpkg-dev (>= 1.16.1~),
                libncursesw5-dev (>= 6.0+20160319-2~),
                libpam0g-dev,
+               libutempter-dev,
                texinfo
-Build-Conflicts:
 # FTBFS otherwise (#684386, #819792)
-                 libelf-dev,
-# Enforce building without libutempter (#819781). Adding another
-# build-dependency would hinder udeb support as well as add a
-# "Priority: optional" build-dependency to a "Priority: standard"
-# package, which is unwanted.  (#819781)
-                 libutempter-dev
+Build-Conflicts: libelf-dev
 Homepage: https://savannah.gnu.org/projects/screen
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/screen.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/screen.git
