## screen 4.6.2

=== debian/changelog ===
screen (4.6.2-1ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted UTF-8 character sequence
    - debian/patches/99_CVE-2021-26937.patch: fix out of bounds array
      access in encoding.c.
    - CVE-2021-26937

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 23 Feb 2021 12:46:52 -0500

screen (4.6.2-1ubuntu1) bionic; urgency=medium

  * debian/screen.preinst: When screen is unpacked but not configured the
    permissions for /var/run/screen need to be changed so that an existing
    screen session can be reconnected to e.g. during an distribution upgrade.
    (LP: #1761997)

 -- Brian Murray <brian@ubuntu.com>  Fri, 20 Jul 2018 06:57:59 -0700

screen (4.6.2-1) unstable; urgency=medium

  * Import new upstream release.
    + Refresh patches where necessary.
    + Add fixes for new typos found by Lintian to
      debian/patches/64-fix-manpage-typos-reported-by-lintian.patch.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Oct 2017 19:48:01 +0200

screen (4.6.1-2) unstable; urgency=medium

  * Document possible solutions for issues where ssh sessions from inside
    screen do not work properly due to missing terminal definitions on the
    remote machine. (Closes: #854414, LP: #1726826)
  * Declare compliance with Debian Policy 4.1.1.
    + Drop no more needed "Priority: extra" header from screen-udeb.
  * Fix duplicate word in README.Debian. Thanks Lintian!
  * Drop no more needed "Testsuite: autopkgtest" header.
  * debian/upstream/metadate: Use HTTPS for git.savannah.gnu.org URLs.
  * debian/patches/52fix_screen_utf8_nfd.patch: Use HTTPS URL for Origin.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Oct 2017 08:08:11 +0200
