=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: screen
 Section: misc
 Priority: standard
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 10~),
                dpkg-dev (>= 1.16.1~),
                libncursesw5-dev (>= 6.0+20160319-2~),
@@ -15,7 +16,6 @@
 Homepage: https://savannah.gnu.org/projects/screen
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/screen.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/screen.git
-Testsuite: autopkgtest
 
 Package: screen
 Architecture: any
@@ -37,7 +37,6 @@
 Architecture: any
 Section: debian-installer
 Package-Type: udeb
-Priority: extra
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: terminal multiplexer with VT100/ANSI terminal emulation - udeb
