=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	rm -rf build build-udeb
 
 override_dh_auto_configure:
-	dh_auto_configure -B build -- $(SCREEN_CONFIGURE) --enable-pam
+	dh_auto_configure -B build -- $(SCREEN_CONFIGURE) --enable-pam --enable-utempter
 	# To minimize the library dependencies, the .udeb binary is
 	# built without "--enable-pam"
 	dh_auto_configure -B build-udeb -- $(SCREEN_CONFIGURE)
@@ -55,9 +55,10 @@
 	rm -f      $(ROOT)/usr/bin/screen  $(ROOT_UDEB)/usr/bin/screen
 	mv -f      $(ROOT)/usr/bin/screen*      $(ROOT)/usr/bin/screen
 	mv -f $(ROOT_UDEB)/usr/bin/screen* $(ROOT_UDEB)/usr/bin/screen
-	# make it setgid utmp
-	chown root:utmp $(ROOT)/usr/bin/screen $(ROOT_UDEB)/usr/bin/screen
-	chmod 2755      $(ROOT)/usr/bin/screen $(ROOT_UDEB)/usr/bin/screen
+	# make it setgid utmp only in udeb
+	chown root:utmp $(ROOT_UDEB)/usr/bin/screen
+	chmod 2755      $(ROOT_UDEB)/usr/bin/screen
+	chmod  755      $(ROOT)/usr/bin/screen
 	# Fix package-contains-info-dir-file, remove /usr/share/info/dir.gz
 	rm -f $(ROOT)/usr/share/info/dir*
 	# Remove documentation from udeb
