## screen 4.8.0

=== debian/changelog ===
screen (4.8.0-6) unstable; urgency=medium

  * autopkgtest: Add a "sleep 1" before "Session is gone" check. Avoids
    a race condition on heavily loaded systems.
  * Replace 52fix_screen_utf8_nfd.patch with a patch by Michael Schröder
    and reenable it. (Closes: #600246 without reopening #677512; Culrpit
    was the same upstream commit as the one which caused CVE-2021-26937.)
  * Add additional autopkgtests, testing for regressions of #600246,
    #677512, #982435 (CVE-2021-26937) and some other regressions found in
    earlier patch propositions for CVE-2021-26937.
  * Update cause and impact description of CVE-2021-26937 in 4.8.0-4 with
    a shortened variant of the wording that is used by MITRE.

 -- Axel Beckert <abe@debian.org>  Sat, 27 Feb 2021 01:52:03 +0100

screen (4.8.0-5) unstable; urgency=medium

  * Replace my homegrown patch for CVE-2021-26937 (#982435) with the third
    incarnation of the patch proposed by Michael Schröder of SUSE.  It's
    the first proposed patch which so far showed no regressions.

 -- Axel Beckert <abe@debian.org>  Fri, 12 Feb 2021 00:07:18 +0100

screen (4.8.0-4) unstable; urgency=low

  * Update URL in 52fix_screen_utf8_nfd.patch by following the redirect.
  * [CVE-2021-26937] Fix invalid write access and crash or possibly
    unspecified other impact via a crafted UTF-8 character sequence.
    (Closes: #982435; urgency=low to get more exposure for that patch.)

 -- Axel Beckert <abe@debian.org>  Wed, 10 Feb 2021 22:25:44 +0100

screen (4.8.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
  * Drop lintian overrides for no more emitted hyphen-used-as-minus-sign.
  * Add lintian overrides for new false positives of:
    + bogus-mail-host-in-debian-changelog (see #966295)
    + national-encoding (on purpose, documentation on national encoding)
  * Bump debian/watch version from 3 to 4. Thanks Lintian!
  * Retroactively mention #915121 in the 4.7.0-1 debian/changelog entry.

 -- Axel Beckert <abe@debian.org>  Mon, 14 Dec 2020 03:21:06 +0100

screen (4.8.0-2) unstable; urgency=medium

  * Add CVE number to previous changelog entry.
  * Add a debian/gitlab-ci.yml.
  * Bump debhelper-compat to 13.
    + Rename debian/screen.screen-cleanup.tmpfile to
      debian/screen.screen-cleanup.tmpfiles.
    + Replace override_dh_installsystemd with override_dh_installtmpfiles.
  * Cherry-pick the two one-line upstream fixes from the screen-v4 branch.
  * Drop preinst needed for some path migration in 2007.
    + Drop related lintian override.

 -- Axel Beckert <abe@debian.org>  Tue, 26 May 2020 03:50:33 +0200

screen (4.8.0-1) unstable; urgency=medium

  * Import new upstream release 4.8.0.
    + CVE-2020-9366: Fixes out of bounds access when setting w_xtermosc
      after OSC 49. (Closes: #950896)
    + Refresh patches where needed.
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 08 Feb 2020 02:16:54 +0100

screen (4.7.0-1) unstable; urgency=low

  * Add a bug script to answer the most common questions to screen bug
    reports automatically.
  * Follow lintian tag renaming in lintian overrides.
  * Override init.d-script-does-not-source-init-functions for
    screen-cleanup, too. Its function on the systemd side is covered by
    /etc/tmpfiles.d/screen-cleanup.conf and
    /lib/systemd/system/screen-cleanup.service.
  * Add comments on top of /etc/tmpfiles.d/screen-cleanup.conf stating
    that this file is generated by maintainer scripts. (Closes: #890823)
  * Import new upstream release 4.7.0.
    + Drop 90_cherrypick-d340b02c_do-not-liunk-against-libelf.patch.
    + Refresh remaining patches as necessary.
    + Updates Unicode support to 12.1.0. (Closes: #882340)
    + Fixes cross-compilation support. (Closes: #917627)
    + Adds support for SGR (1006) mouse mode. (Closes: #850962)
    + Contains a revamped man page. (Closes: #915121)
  * Declare compliance with Debian Policy 4.4.1. (No changes needed.)
  * Bump debhelper compatibility level to 12.
    + Build-depend on "debhelper-compat (= 12)" to replace debian/compat.

 -- Axel Beckert <abe@debian.org>  Wed, 02 Oct 2019 02:14:56 +0200

screen (4.6.2-3) unstable; urgency=medium

  * Cherry-pick upstream commit d340b02c to stop linking against libelf if
    available.  This upstream commit is from 2014, but accidentally has
    been reverted upstream in 2015 while configure.in was renamed to
    configure.ac.  (Closes: #903818)

 -- Axel Beckert <abe@debian.org>  Sun, 15 Jul 2018 14:11:39 +0200

screen (4.6.2-2) unstable; urgency=medium

  * Remove trailing whitespace from ancient debian/changelog entries.
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned debhelper build-dependency accordingly.
    + Replace dh_systemd_enable override by a dh_installsystemd override.
  * Drop "Build-Conflicts: libelf-dev". Having libelf-dev installed no
    more causes screen to FTBFS.
  * Declare "Rules-Requires-Root: binary-targets". Thanks Lintian!
  * Update screen.lintian-overrides wrt. to renamed lintian tag.
  * Update Vcs-* headers for move to Salsa.
  * Add fixes for typos found by Lintian recently to
    debian/patches/64-fix-manpage-typos-reported-by-lintian.patch.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Jul 2018 00:48:31 +0200
