=== debian/control ===
--- 
+++ 
@@ -1,21 +1,19 @@
 Source: screen
 Section: misc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10~),
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libncursesw5-dev (>= 6.0+20160319-2~),
                libpam0g-dev,
                libutempter-dev,
                texinfo
-# FTBFS otherwise (#684386, #819792)
-Build-Conflicts: libelf-dev
 Homepage: https://savannah.gnu.org/projects/screen
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/screen.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/screen.git
+Vcs-Git: https://salsa.debian.org/debian/screen.git
+Vcs-Browser: https://salsa.debian.org/debian/screen
+Rules-Requires-Root: binary-targets
 
 Package: screen
 Architecture: any
