=== debian/rules ===
--- 
+++ 
@@ -67,8 +67,8 @@
 override_dh_installinit:
 	dh_installinit --no-start --init-script=screen-cleanup
 
-override_dh_systemd_enable:
-	dh_systemd_enable --name=screen-cleanup
+override_dh_installtmpfiles:
+	dh_installtmpfiles --name=screen-cleanup
 
 override_dh_fixperms:
 	dh_fixperms -X/usr/bin/screen
