=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: standard
 Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
-               libncursesw5-dev (>= 6.0+20160319-2~),
+               libncurses-dev,
                libpam0g-dev,
                libutempter-dev,
                texinfo
@@ -18,7 +18,8 @@
 Package: screen
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         debianutils (>= 5.3-1~)
 Suggests: byobu | screenie | iselect (>= 1.4.0-1),
           ncurses-term
 Description: terminal multiplexer with VT100/ANSI terminal emulation
