=== debian/rules ===
--- 
+++ 
@@ -72,6 +72,3 @@
 
 override_dh_fixperms:
 	dh_fixperms -X/usr/bin/screen
-
-override_dh_strip:
-	dh_strip --dbgsym-migration=screen-dbg
