## screen 4.9.0-1+11.0trisquel0

=== debian/changelog ===
screen (4.9.0-1+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 13 Oct 2022 06:53:39 +0000
