=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: screen
 Section: misc
 Priority: standard
-Maintainer: Axel Beckert <abe@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libncurses-dev,
@@ -18,8 +18,7 @@
 Package: screen
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         debianutils (>= 5.3-1~)
+         ${shlibs:Depends}
 Suggests: byobu | screenie | iselect (>= 1.4.0-1),
           ncurses-term
 Description: terminal multiplexer with VT100/ANSI terminal emulation
