## screen 4.9.1

=== debian/changelog ===
screen (4.9.1-3ubuntu1) questing; urgency=medium

  * d/rules: set CFLAGS std=gnu17 to fix build errors on gcc15 (LP: #2125197)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Fri, 19 Sep 2025 14:15:54 +0200

screen (4.9.1-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * attacher.c - prevent temporary 0666 mode on PTYs (CVE-2025-46802)
    (Closes: #1105191)
  * avoid file existence test information leaks (CVE-2025-46804)
  * socket.c - don't send signals with root privileges (CVE-2025-46805)

 -- Axel Beckert <abe@debian.org>  Mon, 19 May 2025 00:42:42 +0200

screen (4.9.1-2) unstable; urgency=medium

  * Team upload (debian/ namespace).
  * 63-add-utempter-switch: fix variable name
  * Stop building with utempter
  * Disable utmp writing (Closes: #1104514)
  * Update ptymode to 0600 in line with rest of the system

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 10 May 2025 22:28:23 +0200

screen (4.9.1-1) unstable; urgency=low

  * Update upstream's PGP keys to sport the currently published keys.
  * New upstream bugfix release 4.9.1.
    + Refresh patches where needed.
    + Drop 90_fix_man_page_bash_example.patch, applied upstream.
    + Supports stop/parity bits on serial port. (Closes: #492741)
    + Avoid zombies after shell exit. (Closes: #991715)
    + [CVE-2023-24626] Fixes missing signal sending permission check on
      failed query messages when running setuid or setgid.
    + Multiple Unicode/UTF-8 fixes.

 -- Axel Beckert <abe@debian.org>  Thu, 07 Sep 2023 00:10:56 +0200
