=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: screen
 Section: misc
 Priority: standard
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                libncurses-dev,
                libpam0g-dev,
-               libutempter-dev,
                texinfo
 Homepage: https://savannah.gnu.org/projects/screen
 Vcs-Git: https://salsa.debian.org/debian/screen.git
 Vcs-Browser: https://salsa.debian.org/debian/screen
-Rules-Requires-Root: binary-targets
+Rules-Requires-Root: no
 
 Package: screen
 Architecture: any
 Depends: ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         debianutils (>= 5.3-1~)
 Suggests: byobu | screenie | iselect (>= 1.4.0-1),
           ncurses-term
 Description: terminal multiplexer with VT100/ANSI terminal emulation
