=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-export DEB_CFLAGS_MAINT_APPEND=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+export DEB_CFLAGS_MAINT_APPEND=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -std=gnu17
 
 ROOT := $(CURDIR)/debian/screen
 ROOT_UDEB := $(CURDIR)/debian/screen-udeb
@@ -17,7 +17,7 @@
 TTYGROUP := 5
 # Common configure options for .deb and .udeb
 SCREEN_CONFIGURE=--with-socket-dir=/run/screen \
-		 --with-pty-mode=0620 \
+		 --with-pty-mode=0600 \
 		 --with-pty-group=${TTYGROUP} \
 		 --enable-rxvt_osc \
 		 --with-sys-screenrc=/etc/screenrc \
@@ -32,7 +32,7 @@
 	rm -rf build build-udeb
 
 override_dh_auto_configure:
-	dh_auto_configure -B build -- $(SCREEN_CONFIGURE) --enable-pam --enable-utempter
+	dh_auto_configure -B build -- $(SCREEN_CONFIGURE) --enable-pam
 	# To minimize the library dependencies, the .udeb binary is
 	# built without "--enable-pam"
 	dh_auto_configure -B build-udeb -- $(SCREEN_CONFIGURE)
@@ -55,9 +55,7 @@
 	rm -f      $(ROOT)/usr/bin/screen  $(ROOT_UDEB)/usr/bin/screen
 	mv -f      $(ROOT)/usr/bin/screen*      $(ROOT)/usr/bin/screen
 	mv -f $(ROOT_UDEB)/usr/bin/screen* $(ROOT_UDEB)/usr/bin/screen
-	# make it setgid utmp only in udeb
-	chown root:utmp $(ROOT_UDEB)/usr/bin/screen
-	chmod 2755      $(ROOT_UDEB)/usr/bin/screen
+	chmod  755      $(ROOT_UDEB)/usr/bin/screen
 	chmod  755      $(ROOT)/usr/bin/screen
 	# Fix package-contains-info-dir-file, remove /usr/share/info/dir.gz
 	rm -f $(ROOT)/usr/share/info/dir*
@@ -69,6 +67,3 @@
 
 override_dh_installtmpfiles:
 	dh_installtmpfiles --name=screen-cleanup
-
-override_dh_fixperms:
-	dh_fixperms -X/usr/bin/screen
