## screen 4.9.1-1ubuntu1trisquel0

=== debian/changelog ===
screen (4.9.1-1ubuntu1trisquel0) ecne-security; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 27 Jan 2026 00:52:20 +0000

screen (4.9.1-1ubuntu1) noble-security; urgency=medium

  * SECURITY UPDATE: incorrect PTY permissions
    - debian/patches/CVE-2025-46802.patch: prevent temporary 0666 mode on
      PTYs in attacher.c, screen.c.
    - CVE-2025-46802
  * SECURITY UPDATE: minor information leak
    - debian/patches/CVE-2025-46804.patch: avoid file existence test
      information leaks in screen.c, socket.c.
    - CVE-2025-46804
  * SECURITY UPDATE: TOCTOU allowing to send SIGHUP, SIGCONT
    - debian/patches/CVE-2025-46805.patch: don't send signals with root
      privileges in socket.c.
    - CVE-2025-46805

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 22 Jan 2026 14:59:29 -0500
