=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: screen
 Section: misc
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
 Uploaders: Antti Järvinen <antti.jarvinen@katiska.org>
 Standards-Version: 4.6.2
@@ -9,11 +9,12 @@
                dpkg-dev (>= 1.16.1~),
                libncurses-dev,
                libpam0g-dev,
+               libutempter-dev,
                texinfo
 Homepage: https://savannah.gnu.org/projects/screen
 Vcs-Git: https://salsa.debian.org/debian/screen.git
 Vcs-Browser: https://salsa.debian.org/debian/screen
-Rules-Requires-Root: no
+Rules-Requires-Root: binary-targets
 
 Package: screen
 Architecture: any
